Debian Bug report logs - #518096
watchdog: wd_keepalive breaks the functionality

version graph

Package: watchdog; Maintainer for watchdog is Michael Meskes <meskes@debian.org>; Source for watchdog is src:watchdog.

Reported by: Kushal Koolwal <kushalkoolwal@hotmail.com>

Date: Wed, 4 Mar 2009 04:15:02 UTC

Severity: important

Found in version watchdog/5.4-10

Done: Michael Meskes <meskes@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, kushalkoolwal@hotmail.com, Michael Meskes <meskes@debian.org>:
Bug#518096; Package watchdog. (Wed, 04 Mar 2009 04:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kushal Koolwal <kushalkoolwal@hotmail.com>:
New Bug report received and forwarded. Copy sent to kushalkoolwal@hotmail.com, Michael Meskes <meskes@debian.org>. (Wed, 04 Mar 2009 04:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kushal Koolwal <kushalkoolwal@hotmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: watchdog: wd_keepalive breaks the functionality
Date: Tue, 03 Mar 2009 20:13:25 -0800
Package: watchdog
Version: 5.4-10
Severity: important

I am using the AMD Geode Hardware watchdog driver "geodewdt" (CONFIG_GEODE_WDT) in Linux kernel. 
My /etc/modules contains the line:
geodewdt
which causes the module to load properly - /dev/watchdog file created.

My /etc/watchdog.conf file has following line:
ping	192.168.0.101

However upon boot, I see some messages like:
Starting watchdog keepalive daemon: Ignoring config line: ping 192.168.0.101
wd_keepalive
Then I see,
Stopping watchdog keepalive daemon
Starting watchdog daemon.

Although the wd_keepalive stops, somehow my ping line in still ignored.
I verified this my shutting down the 192.168.0.101 machine and still after 1 minute my system does not reboot which it should.

If use Etch on the same machine (with same kernel), watchdog version in Etch, everything works fine.
The system shutsdown after 1 min from 101 going down.

I guess watchdog version in Etch did not have wd_keepalive binary then.

-- System Information:
Debian Release: 5.0
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i586)

Kernel: Linux 2.6.28-l6r200-test2 (PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages watchdog depends on:
ii  debconf [debconf-2.0]         1.5.24     Debian configuration management sy
ii  libc6                         2.7-18     GNU C Library: Shared libraries
ii  makedev                       2.3.1-88   creates device files in /dev
ii  udev                          0.125-7    /dev/ and hotplug management daemo

watchdog recommends no packages.

watchdog suggests no packages.

-- debconf information excluded




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#518096; Package watchdog. (Wed, 04 Mar 2009 11:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Meskes <meskes@debian.org>:
Extra info received and forwarded to list. (Wed, 04 Mar 2009 11:33:06 GMT) Full text and rfc822 format available.

Message #10 received at 518096@bugs.debian.org (full text, mbox):

From: Michael Meskes <meskes@debian.org>
To: Kushal Koolwal <kushalkoolwal@hotmail.com>, 518096@bugs.debian.org
Subject: Re: Bug#518096: watchdog: wd_keepalive breaks the functionality
Date: Wed, 4 Mar 2009 12:31:33 +0100
On Tue, Mar 03, 2009 at 08:13:25PM -0800, Kushal Koolwal wrote:
> Although the wd_keepalive stops, somehow my ping line in still ignored.
> I verified this my shutting down the 192.168.0.101 machine and still after 1 minute my system does not reboot which it should.

Could you please check whether watchdog is really running and whether
wd_keepalive was really stopped? If you happen to have a system without either
one running you could try getting more info by replacing "--quiet" with
"--verbose" in the start-stop-daemon calls in /etc/init.d/watchdog. There also
should be more information in the corrsponfing syslog file.

Michael
-- 
Michael Meskes
Michael at Fam-Meskes dot De, Michael at Meskes dot (De|Com|Net|Org)
Michael at BorussiaFan dot De, Meskes at (Debian|Postgresql) dot Org
ICQ: 179140304, AIM/Yahoo: michaelmeskes, Jabber: meskes@jabber.org
Go VfL Borussia! Go SF 49ers! Use Debian GNU/Linux! Use PostgreSQL!




Information forwarded to debian-bugs-dist@lists.debian.org, Michael Meskes <meskes@debian.org>:
Bug#518096; Package watchdog. (Wed, 04 Mar 2009 20:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kushal Koolwal <kushalkoolwal@hotmail.com>:
Extra info received and forwarded to list. Copy sent to Michael Meskes <meskes@debian.org>. (Wed, 04 Mar 2009 20:57:02 GMT) Full text and rfc822 format available.

Message #15 received at 518096@bugs.debian.org (full text, mbox):

From: Kushal Koolwal <kushalkoolwal@hotmail.com>
To: <meskes@debian.org>, <518096@bugs.debian.org>
Subject: RE: Bug#518096: watchdog: wd_keepalive breaks the functionality
Date: Wed, 4 Mar 2009 12:54:28 -0800

> Could you please check whether watchdog is really running and whether
> wd_keepalive was really stopped? 
Yes, only watchdog is running.
debian:~# ps -ef | grep watch
root      2846     1  0 12:35 ?        00:00:00 /usr/sbin/watchdog
root      2952  2846  0 12:43 ?        00:00:00 [watchdog] 
root      2954  2895  0 12:43 pts/0    00:00:00 grep watch
debian:~# 

debian:~# ps -ef | grep wd_keepalive
root      2962  2895  0 12:44 pts/0    00:00:00 grep wd_keepalive
debian:~# 

>If you happen to have a system without either
> one running you could try getting more info by replacing "--quiet" with
> "--verbose" in the start-stop-daemon calls in /etc/init.d/watchdog. There also
> should be more information in the corrsponfing syslog file.
I enabled the "--verbose" option and here is what I get in syslog upon system starts:
Mar  4 12:45:19 debian watchdog[2846]: stopping daemon (5.4)
Mar  4 12:45:19 debian wd_keepalive[3004]: starting watchdog keepalive daemon (5.4): int=10 alive=(null) realtime=yes
Mar  4 12:45:19 debian wd_keepalive[3004]: stopping watchdog keepalive daemon (5.4)

Mar  4 12:46:22 debian watchdog[2850]: starting daemon (5.4):
Mar  4 12:46:22 debian watchdog[2850]: int=10s realtime=yes sync=no soft=no mla=0 mem=0
Mar  4 12:46:22 debian watchdog[2850]: ping: 192.168.0.101
Mar  4 12:46:22 debian watchdog[2850]: file: no file to check
Mar  4 12:46:22 debian watchdog[2850]: pidfile: no server process to check
Mar  4 12:46:22 debian watchdog[2850]: interface: no interface to check
Mar  4 12:46:22 debian watchdog[2850]: test=none(0) repair=none alive=none heartbeat=none temp=none to=root no_act=no
Mar  4 12:47:10 debian watchdog[2850]: stopping daemon (5.4)
Mar  4 12:47:10 debian wd_keepalive[2925]: starting watchdog keepalive daemon (5.4): int=10 alive=(null) realtime=yes
Mar  4 12:47:10 debian wd_keepalive[2925]: stopping watchdog keepalive daemon (5.4)

Mar  4 12:48:10 debian watchdog[2855]: starting daemon (5.4):
Mar  4 12:48:10 debian watchdog[2855]: int=10s realtime=yes sync=no soft=no mla=0 mem=0
Mar  4 12:48:10 debian watchdog[2855]: ping: 192.168.0.101
Mar  4 12:48:10 debian watchdog[2855]: file: no file to check
Mar  4 12:48:10 debian watchdog[2855]: pidfile: no server process to check
Mar  4 12:48:10 debian watchdog[2855]: interface: no interface to check
Mar  4 12:48:10 debian watchdog[2855]: test=none(0) repair=none alive=none heartbeat=none temp=none to=root no_act=no


And here is the syslog output on Debian Etch:
Mar  4 12:46:18 debian watchdog[2706]: stopping daemon (5.2)

Mar  4 12:47:17 debian watchdog[2708]: starting daemon (5.2):
Mar  4 12:47:17 debian watchdog[2708]: int=10s realtime=yes sync=no soft=no mla=3 mem=0
Mar  4 12:47:17 debian watchdog[2708]: ping: 192.168.0.101
Mar  4 12:47:17 debian watchdog[2708]: file: no file to check
Mar  4 12:47:17 debian watchdog[2708]: pidfile: no server process to check
Mar  4 12:47:17 debian watchdog[2708]: interface: no interface to check
Mar  4 12:47:17 debian watchdog[2708]: test=none(0) repair=none alive=none heartbeat=none temp=none to=root no_act=no
Mar  4 12:47:54 debian watchdog[2708]: stopping daemon (5.2)

Mar  4 12:48:54 debian watchdog[2705]: starting daemon (5.2):
Mar  4 12:48:54 debian watchdog[2705]: int=10s realtime=yes sync=no soft=no mla=3 mem=0
Mar  4 12:48:54 debian watchdog[2705]: ping: 192.168.0.101
Mar  4 12:48:54 debian watchdog[2705]: file: no file to check
Mar  4 12:48:54 debian watchdog[2705]: pidfile: no server process to check
Mar  4 12:48:54 debian watchdog[2705]: interface: no interface to check
Mar  4 12:48:54 debian watchdog[2705]: test=none(0) repair=none alive=none heartbeat=none temp=none to=root no_act=no

Also I installed the watchdog package from Etch on my Lenny system, and it seems to works well. As soon as I upgrade to Lenny's watchdog package, it fails to function as mentioned initially.

Please let me know if you need more information.

Kushal Koolwal

I do blog at http://blogs.koolwal.net/

_________________________________________________________________
Windows Live™ Contacts: Organize your contact list. 
http://windowslive.com/connect/post/marcusatmicrosoft.spaces.live.com-Blog-cns!503D1D86EBB2B53C!2285.entry?ocid=TXT_TAGLM_WL_UGC_Contacts_032009



Information forwarded to debian-bugs-dist@lists.debian.org, Michael Meskes <meskes@debian.org>:
Bug#518096; Package watchdog. (Mon, 09 Mar 2009 17:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kushal Koolwal <kushalkoolwal@hotmail.com>:
Extra info received and forwarded to list. Copy sent to Michael Meskes <meskes@debian.org>. (Mon, 09 Mar 2009 17:24:02 GMT) Full text and rfc822 format available.

Message #20 received at 518096@bugs.debian.org (full text, mbox):

From: Kushal Koolwal <kushalkoolwal@hotmail.com>
To: <meskes@debian.org>, <518096@bugs.debian.org>
Subject: RE: Bug#518096: watchdog: wd_keepalive breaks the functionality
Date: Mon, 9 Mar 2009 10:22:38 -0700
Please close this bug. On a freshly installed system, all worked fine. Still not able to figure out what went wrong on the existing installation.

Thanks


Kushal Koolwal

I do blog at http://blogs.koolwal.net/









_________________________________________________________________
Windows Live™: Life without walls.
http://windowslive.com/explore?ocid=TXT_TAGLM_WL_allup_1a_explore_032009



Reply sent to Michael Meskes <meskes@debian.org>:
You have taken responsibility. (Tue, 10 Mar 2009 09:57:06 GMT) Full text and rfc822 format available.

Notification sent to Kushal Koolwal <kushalkoolwal@hotmail.com>:
Bug acknowledged by developer. (Tue, 10 Mar 2009 09:57:06 GMT) Full text and rfc822 format available.

Message #25 received at 518096-done@bugs.debian.org (full text, mbox):

From: Michael Meskes <meskes@debian.org>
To: Kushal Koolwal <kushalkoolwal@hotmail.com>
Cc: 518096-done@bugs.debian.org
Subject: Re: Bug#518096: watchdog: wd_keepalive breaks the functionality
Date: Tue, 10 Mar 2009 10:40:25 +0100
On Mon, Mar 09, 2009 at 10:22:38AM -0700, Kushal Koolwal wrote:
> Please close this bug. On a freshly installed system, all worked fine. Still
> not able to figure out what went wrong on the existing installation.

Done.

Michael
-- 
Michael Meskes
Michael at Fam-Meskes dot De, Michael at Meskes dot (De|Com|Net|Org)
Michael at BorussiaFan dot De, Meskes at (Debian|Postgresql) dot Org
ICQ: 179140304, AIM/Yahoo: michaelmeskes, Jabber: meskes@jabber.org
Go VfL Borussia! Go SF 49ers! Use Debian GNU/Linux! Use PostgreSQL!




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 08 Apr 2009 07:30:35 GMT) Full text and rfc822 format available.

Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 05 Aug 2009 22:24:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:07:24 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.